package com.example.system.service;

import com.example.system.dto.CreateUserDTO;
import com.example.system.model.RegistrationTable;
import com.example.system.model.UserTable;

import java.util.List;

public interface UserService {

    UserTable findUserById(Long userId);

    List<UserTable> findAllUsers();

    boolean createUser(UserTable user);

    boolean updateUser(UserTable user);


    UserTable validateUserLogin(String userName, String password);

    UserTable findUserByUserName(String userName);

    UserTable getUserInfo(String studentId);

    boolean updateStudentInfo(UserTable student);

    UserTable findBySTId(String sTId);

    boolean checkPassword(String password, String userPassword);



    boolean createRegistration(RegistrationTable registration);

    int getUserPrivileges(String username);

    String getPhoneNumberByUserId(Integer userId);

    List<Integer> getUserIdsByCompetitionId(Integer competitionId);
    void importUsers(List<UserTable> users);
    //批量删除用户
    Boolean deleteList(List<Integer> list);
    //管理员更新用户信息
    boolean updateOther(UserTable user);
    //获取用户总数量
    Object getCount();
    //获取老师总数量
    Object getTeacherCount();
    //获取学生总数量
    Object getStudentCount();
}